Package com.smartgwt.client.data

# Class RelationPath

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.data.RelationPath

All Implemented Interfaces:
  `HasHandlers`

public class RelationPath extends DataClass
A simple object representing the path for navigation from source to target DataSources via foreign key declarations defined between each.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RelationPath()`
  `RelationPath(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getDistance()`
  A number representing the distance between source and target DataSources.
  `static RelationPath`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String`
  `getPath()`
  A slash-separated path consisting of each DataSource ID in the path between source and target
  `RelationPath`
  `setDistance(Integer distance)`
  A number representing the distance between source and target DataSources.
  `RelationPath`
  `setPath(String path)`
  A slash-separated path consisting of each DataSource ID in the path between source and target

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RelationPath

    public RelationPath()

  - ### RelationPath

    public RelationPath(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static RelationPath getOrCreateRef(JavaScriptObject jsObj)

  - ### setDistance

    public RelationPath setDistance(Integer distance)
    A number representing the distance between source and target DataSources. Equal to the number of separators in the `path`.
    Parameters:
      `distance` - New distance value. Default value is null
    Returns:
      `RelationPath` instance, for chaining setter calls

  - ### getDistance

    public Integer getDistance()
    A number representing the distance between source and target DataSources. Equal to the number of separators in the `path`.
    Returns:
      Current distance value. Default value is null

  - ### setPath

    public RelationPath setPath(String path)
    A slash-separated path consisting of each DataSource ID in the path between source and target
    Parameters:
      `path` - New path value. Default value is null
    Returns:
      `RelationPath` instance, for chaining setter calls

  - ### getPath

    public String getPath()
    A slash-separated path consisting of each DataSource ID in the path between source and target
    Returns:
      Current path value. Default value is null